%global do_mem_tests 0
%global do_perf_tests 0

Name: mdds
Version: 0.3.0
Release: 3%{?dist}
Summary: A collection of multi-dimensional data structures and indexing algorithms

Group: Development/Libraries
License: MIT
URL: http://code.google.com/p/multidimalgorithm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://multidimalgorithm.googlecode.com/files/%{name}_%{version}.tar.bz2
Patch0: mdds-0.3.0.fix-test-prog-name.patch
Patch1: add-missing-link.patch
Patch2: do-not-insert-new-node.patch

BuildRequires: boost-devel
%if %{do_mem_tests}
BuildRequires: valgrind
%endif

BuildArch: noarch


%description
A collection of multi-dimensional data structures and indexing algorithms.
 
It implements the following data structures:

* flat segment tree 
* segment tree
* rectangle set


%package devel
Group: Development/Libraries
Summary: Headers for %{name}
Requires: boost-devel

%description devel
Headers for %{name}.


%prep
%setup -q -n %{name}_%{version}
%patch0 -p 1 -b .fix-test-prog-name.patch
%patch1 -p1 -b .add-missing-link.patch
%patch2 -p1 -b .do-not-insert-new-node.patch
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall.*-std/%{optflags} -std/' Makefile


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}
mkdir %{buildroot}/%{_includedir}/mdds
cp -p inc/mdds/* %{buildroot}/%{_includedir}/mdds


%check
make %{?_smp_mflags}
for t in fst pqt recset st; do
    make test.$t
done
%if %{do_perf_tests}
    for t in recset st; do
        make test.$t.perf
    done
    make test.stl
%endif
%if %{do_mem_tests}
    for t in fst pqt recset st; do
        make test.$t.mem
    done
%endif

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root,-)
%{_includedir}/mdds
%doc AUTHORS NEWS README


%changelog
* Thu Mar 24 2011 David Tardon <dtardon@redhat.com> - 0.3.0-3
- Resolves: rhbz#680766 fix a crash and two other bugs

* Wed Jul 07 2010 Caolán McNamara <caolanm@redhat.com> - 0.3.0-2
- rpmlint warnings

* Wed Jun 30 2010 David Tardon <dtardon@redhat.com> - 0.3.0-1
- initial import
